QB_RB_CHUNK_ALLOC(3)

NAME
qb_rb_chunk_alloc - Allocate space for a chunk of the given size.

SYNOPSIS
#include <qb/qbrb.h>

void * qb_rb_chunk_alloc(
    qb_ringbuffer_t   *rb,   /* ringbuffer instance */
    size_t             len   /* (in) the size to allocate. */
);

PARAMS
rb ringbuffer instance

len (in) the size to allocate.

DESCRIPTION

If type == QB_RB_FLAG_OVERWRITE and NULL is returned, memory corruption of the memory file has occurred. The ringbuffer should be destroyed. If type == QB_RB_NORMAL then when there is not enough space it will return NULL.

RETURN VALUE

pointer to chunk to write to, or NULL (if no space).

SEE ALSO

qb_rb_close(3), qb_rb_refcount_get(3), qb_rb_chmod(3), qb_rb_chown(3), qb_rb_open(3), qb_rb_write_to_file(3), qb_rb_create_from_file(3), qb_rb_chunks_used(3), qb_rb_chunk_reclaim(3), qb_rb_space_used(3), qb_rb_chunk_write(3), qb_rb_shared_user_data_get(3), qb_rb_chunk_commit(3), qb_rb_chunk_peek(3), qb_rb_space_free(3), qb_rb_name_get(3), qb_rb_chunk_read(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.